Foxit PDF SDK

Public Member Functions | List of all members
foxit.addon.xfa.WidgetMenu Class Reference
Inheritance diagram for foxit.addon.xfa.WidgetMenu:

## Public Member Functions
| WidgetMenu (XFAWidget xfa_widget)
| Constructor, from XFA widget object. More...
| WidgetMenu (WidgetMenu other)
| Constructor, with another widget menu object. More...
bool | Bold ()
| (Only useful for rich text) Make the rich text bold. More...
bool | CanCopy ()
| Check if the text of related XFA widget can be copied. More...
bool | CanCut ()
| Check if the text of related XFA widget can be cut. More...
bool | CanDelete ()
| Check if the text of related XFA widget can be deleted. More...
bool | CanDeSelect ()
| Check if the selection of the text in related XFA widget can be canceled. More...
bool | CanPaste ()
| Check if the text of related XFA widget can be pasted. More...
bool | CanRedo ()
| Check if the operation of related XFA widget can be redone. More...
bool | CanSelectAll ()
| Check if the text of related XFA widget can be selected all. More...
bool | CanUndo ()
| Check if the operation of related XFA widget can be undone. More...
bool | ClearStyle ()
| (Only useful for rich text) Clear the style of the rich text. More...
string | Copy ()
| Copy the text of related XFA widget. More...
string | Cut ()
| Cut the text of related XFA widget. More...
bool | Delete ()
| Delete all the text of related XFA widget. More...
bool | DeSelect ()
| Cancel the selection of the text in related XFA widget. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
bool | Italic ()
| (Only useful for rich text) Make the rich text italic. More...
bool | Paste (string text)
| Paste the text to related XFA widget. More...
bool | Redo ()
| Redo the operation of related XFA widget. (No effect for rich text) More...
bool | SelectAll ()
| Select all the text of related XFA widget. More...
bool | Subscript ()
| (Only useful for rich text) Make the rich text as subscript. More...
bool | Superscript ()
| (Only useful for rich text) Make the rich text as superscript. More...
bool | Underline ()
| (Only useful for rich text) Underline the rich text. More...
bool | Undo ()
| Undo the operation of related XFA widget. (No effect for rich text) More...

## Detailed Description

Class WidgetMenu represents the menu of an XFA widget.

## Constructor & Destructor Documentation

## ◆ WidgetMenu() [1/2]

foxit.addon.xfa.WidgetMenu.WidgetMenu | ( | XFAWidget | xfa_widget | ) |
| inline

Constructor, from XFA widget object.

Parameters

  [in] | xfa_widget | A valid XFA widget object.

## ◆ WidgetMenu() [2/2]

foxit.addon.xfa.WidgetMenu.WidgetMenu | ( | WidgetMenu | other | ) |
| inline

Constructor, with another widget menu object.

Parameters

  [in] | other | Another widget menu object.

## Member Function Documentation

## ◆ Bold()

bool foxit.addon.xfa.WidgetMenu.Bold | ( |  | ) |
| inline

(Only useful for rich text) Make the rich text bold.

Returns
  true means success, while false means failure.

## ◆ CanCopy()

bool foxit.addon.xfa.WidgetMenu.CanCopy | ( |  | ) |
| inline

Check if the text of related XFA widget can be copied.

Returns
  true means the text can be copied, while false means the text cannot be copied.

## ◆ CanCut()

bool foxit.addon.xfa.WidgetMenu.CanCut | ( |  | ) |
| inline

Check if the text of related XFA widget can be cut.

Returns
  true means the text can be cut, while false means the text cannot be cut.

## ◆ CanDelete()

bool foxit.addon.xfa.WidgetMenu.CanDelete | ( |  | ) |
| inline

Check if the text of related XFA widget can be deleted.

Returns
  true means the text can be deleted, while false means the text cannot be deleted.

## ◆ CanDeSelect()

bool foxit.addon.xfa.WidgetMenu.CanDeSelect | ( |  | ) |
| inline

Check if the selection of the text in related XFA widget can be canceled.

Returns
  true means the selection can be canceled, while false means the selection cannot be canceled.

## ◆ CanPaste()

bool foxit.addon.xfa.WidgetMenu.CanPaste | ( |  | ) |
| inline

Check if the text of related XFA widget can be pasted.

Returns
  true means the text can be pasted, while false means the text cannot be pasted.

## ◆ CanRedo()

bool foxit.addon.xfa.WidgetMenu.CanRedo | ( |  | ) |
| inline

Check if the operation of related XFA widget can be redone.

Returns
  true means the operation can be redone, while false means the operation cannot be redone.

## ◆ CanSelectAll()

bool foxit.addon.xfa.WidgetMenu.CanSelectAll | ( |  | ) |
| inline

Check if the text of related XFA widget can be selected all.

Returns
  true means the text can be selected all, while false means the text cannot be selected all.

## ◆ CanUndo()

bool foxit.addon.xfa.WidgetMenu.CanUndo | ( |  | ) |
| inline

Check if the operation of related XFA widget can be undone.

Returns
  true means the operation can be undone, while false means the operation cannot be undone.

## ◆ ClearStyle()

bool foxit.addon.xfa.WidgetMenu.ClearStyle | ( |  | ) |
| inline

(Only useful for rich text) Clear the style of the rich text.

Returns
  true means success, while false means failure.

## ◆ Copy()

string foxit.addon.xfa.WidgetMenu.Copy | ( |  | ) |
| inline

Copy the text of related XFA widget.

Returns
  The copied text.

## ◆ Cut()

string foxit.addon.xfa.WidgetMenu.Cut | ( |  | ) |
| inline

Cut the text of related XFA widget.

Returns
  The cut text.

## ◆ Delete()

bool foxit.addon.xfa.WidgetMenu.Delete | ( |  | ) |
| inline

Delete all the text of related XFA widget.

Returns
  true means success, while false means failure.

## ◆ DeSelect()

bool foxit.addon.xfa.WidgetMenu.DeSelect | ( |  | ) |
| inline

Cancel the selection of the text in related XFA widget.

Returns
  true means success, while false means failure.

## ◆ IsEmpty()

bool foxit.addon.xfa.WidgetMenu.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Italic()

bool foxit.addon.xfa.WidgetMenu.Italic | ( |  | ) |
| inline

(Only useful for rich text) Make the rich text italic.

Returns
  true means success, while false means failure.

## ◆ Paste()

bool foxit.addon.xfa.WidgetMenu.Paste | ( | string | text | ) |
| inline

Paste the text to related XFA widget.

Parameters

  [in] | text | A text string to be pasted.

Returns
  true means success, while false means failure.

## ◆ Redo()

bool foxit.addon.xfa.WidgetMenu.Redo | ( |  | ) |
| inline

Redo the operation of related XFA widget. (No effect for rich text)

Returns
  true means success, while false means failure.

## ◆ SelectAll()

bool foxit.addon.xfa.WidgetMenu.SelectAll | ( |  | ) |
| inline

Select all the text of related XFA widget.

Returns
  true means success, while false means failure.

## ◆ Subscript()

bool foxit.addon.xfa.WidgetMenu.Subscript | ( |  | ) |
| inline

(Only useful for rich text) Make the rich text as subscript.

Returns
  true means success, while false means failure.

## ◆ Superscript()

bool foxit.addon.xfa.WidgetMenu.Superscript | ( |  | ) |
| inline

(Only useful for rich text) Make the rich text as superscript.

Returns
  true means success, while false means failure.

## ◆ Underline()

bool foxit.addon.xfa.WidgetMenu.Underline | ( |  | ) |
| inline

(Only useful for rich text) Underline the rich text.

Returns
  true means success, while false means failure.

## ◆ Undo()

bool foxit.addon.xfa.WidgetMenu.Undo | ( |  | ) |
| inline

Undo the operation of related XFA widget. (No effect for rich text)

Returns
  true means success, while false means failure.